# OpenLayers.Control.DragPan

The DragPan control pans the map with a drag of the mouse.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.DragPan | The DragPan control pans the map with a drag of the mouse.
Properties |
documentDrag | {Boolean} If set to true, mouse dragging will continue even if the mouse cursor leaves the map viewport.
enableKinetic | {Boolean} Set this option to enable “kinetic dragging”.
kineticInterval | {Integer} Interval in milliseconds between 2 steps in the “kinetic scrolling”.

### Properties

### documentDrag

{Boolean} If set to true, mouse dragging will continue even if the mouse cursor leaves the map viewport. Default is false.

### enableKinetic

{Boolean} Set this option to enable “kinetic dragging”. Can be set to true or to an object. If set to an object this object will be passed to the {OpenLayers.Kinetic} constructor. Defaults to false.

### kineticInterval

{Integer} Interval in milliseconds between 2 steps in the “kinetic scrolling”. Applies only if enableKinetic is set. Defaults to 10 milliseconds.

Controls affect the display or behavior of the map.
Close